Name: xos-logos
Summary: X/OS Linux-related icons and pictures.
Version: 1.1.25
Release: 1.XOS.1
Group: System Environment/Base
Source0: xos-logos-%{version}.tar.bz2

Copyright: Copyright  2004-2005 X/OS Experts in Open Systems BV.  All rights reserved.
BuildRoot: %{_tmppath}/%{name}-root
BuildArchitectures: noarch
Conflicts: anaconda-images <= 10
Obsoletes: redhat-logos
Provides: system-logos

%description
The xos-logos package (the "Package") contains files of the X/OS logo
and the X/OS Linux logo (the "Logos").  X/OS and the X/OS logo are
trademarks or registered trademarks of X/OS Experts in Open Systems BV
in the Netherlands and other countries.

See the included COPYING file for information on copying and
redistribution.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
#mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/redhat
#for i in redhat-pixmaps/*; do
#  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/pixmaps/redhat
#done
#(cd $RPM_BUILD_ROOT%{_datadir}/pixmaps/redhat; \
#for i in *-mini.xpm; do \
#  linkfile=`echo $i | sed -e "s/\(.*\)-mini/mini-\1/"` ; \
#  ln -s $i $linkfile ; \
#done)

# should be ifarch i386
mkdir -p $RPM_BUILD_ROOT/boot/grub
install -m 644 bootloader/rhlilo-en.pcx $RPM_BUILD_ROOT/boot/message
install -m 644 bootloader/rhlilo-ja.pcx $RPM_BUILD_ROOT/boot/message.ja
install -m 644 bootloader/grub-splash.xpm.gz $RPM_BUILD_ROOT/boot/grub/splash.xpm.gz
# end i386 bits

mkdir -p $RPM_BUILD_ROOT%{_datadir}/firstboot/pixmaps
for i in firstboot/* ; do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/firstboot/pixmaps
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/rhgb
for i in rhgb/* ; do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/rhgb
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/splash
for i in gnome-splash/* ; do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/pixmaps/splash
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/apps/ksplash/pics
mkdir -p $RPM_BUILD_ROOT%{_datadir}/apps/ksplash/pics/locolor
for i in kde-splash/* ; do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/apps/ksplash/pics
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/apps/ksplash/pics/locolor
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
#for i in pixmaps/* ; do
#  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/pixmaps
#done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/gdm/themes/Bluecurve
install -m 644 gdm/xoslinux_logo.png \
	$RPM_BUILD_ROOT%{_datadir}/gdm/themes/Bluecurve/
install -m 644 gdm/xoslinux_header.png \
	$RPM_BUILD_ROOT%{_datadir}/gdm/themes/Bluecurve/
install -m 644 gdm/screenshot-Bluecurve.png \
	$RPM_BUILD_ROOT%{_datadir}/gdm/themes/Bluecurve/screenshot.png
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gdm/themes/xoslinux
install -m 644 gdm/xoslinux_logo.png gdm/login-box.png \
	$RPM_BUILD_ROOT%{_datadir}/gdm/themes/xoslinux/
install -m 644 gdm/screenshot-xoslinux.png \
	$RPM_BUILD_ROOT%{_datadir}/gdm/themes/xoslinux/screenshot.png

(cd anaconda ; make DESTDIR=$RPM_BUILD_ROOT install)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc COPYING
%{_datadir}/firstboot
%{_datadir}/apps
%{_datadir}/pixmaps
%{_datadir}/gdm
%{_datadir}/rhgb
%{_datadir}/anaconda/pixmaps/*
/usr/lib/anaconda-runtime/boot/*png
# should be ifarch i386
/boot/message*
/boot/grub/splash.xpm.gz
# end i386 bits

%changelog
* Thu Jul 28 2005 X/OS Linux Team <xoslinux@xos.nl> 1.1.25-1.XOS.1
- Build for X/OS Linux 4.
- X/OS Linux source rpm based on redhat-logos-1.1.25-1.src.rpm
  (md5sum of original source rpm: af315b12a30051266ae0767c35ea0e4a).
- Replace RHEL tarball by a X/OS Linux-specific tarball.

* Thu Dec  2 2004 Jeremy Katz <katzj@redhat.com> - 1.1.25-1
- add rnotes

* Fri Nov 19 2004 Alexander Larsson <alexl@redhat.com> - 1.1.24-1
- Add rhgb logo (#139788)

* Mon Nov  1 2004 Alexander Larsson <alexl@redhat.com> - 1.1.22-1
- Move rh logo from redhat-artwork here (#137593)

* Fri Oct 29 2004 Alexander Larsson <alexl@redhat.com> - 1.1.21-1
- Fix alignment of gnome splash screen (#137360)

* Fri Oct  1 2004 Alexander Larsson <alexl@redhat.com> - 1.1.20-1
- New gnome splash

* Tue Aug 24 2004 Jeremy Katz <katzj@redhat.com> - 1.1.19-1
- update firstboot splash

* Sat Jun  5 2004 Jeremy Katz <katzj@redhat.com> - 1.1.18-1
- provides: system-logos

* Thu Jun  3 2004 Jeremy Katz <katzj@redhat.com> - 1.1.17-1
- add anaconda bits

* Tue Mar 23 2004 Alexander Larsson <alexl@redhat.com> 1.1.16-1
- fix the logos in the gdm theme

* Fri Jul 18 2003 Havoc Pennington <hp@redhat.com> 1.1.15-1
- build new stuff from garrett

* Wed Feb 26 2003 Havoc Pennington <hp@redhat.com> 1.1.14-1
- build new stuff in cvs

* Mon Feb 24 2003 Jeremy Katz <katzj@redhat.com> 1.1.12-1
- updated again
- actually update the grub splash

* Fri Feb 21 2003 Jeremy Katz <katzj@redhat.com> 1.1.11-1
- updated splash screens from Garrett

* Tue Feb 18 2003 Havoc Pennington <hp@redhat.com> 1.1.10-1
- move in a logo from gdm theme #84543

* Mon Feb  3 2003 Havoc Pennington <hp@redhat.com> 1.1.9-1
- rebuild

* Wed Jan 15 2003 Brent Fox <bfox@redhat.com> 1.1.8-1
- rebuild for completeness

* Mon Dec 16 2002 Havoc Pennington <hp@redhat.com>
- rebuild

* Thu Sep  5 2002 Havoc Pennington <hp@redhat.com>
- add firstboot images to makefile/specfile
- add /usr/share/pixmaps stuff
- add splash screen images
- add COPYING

* Thu Sep  5 2002 Jeremy Katz <katzj@redhat.com>
- add boot loader images

* Thu Sep  5 2002 Havoc Pennington <hp@redhat.com>
- move package to CVS

* Tue Jun 25 2002 Owen Taylor <otaylor@redhat.com>
- Add a shadowman-only derived from redhat-transparent.png

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 31 2001 Owen Taylor <otaylor@redhat.com>
- Fix alpha channel in redhat-transparent.png

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 19 2000 Owen Taylor <otaylor@redhat.com>
- Add %defattr

* Mon Jun 19 2000 Owen Taylor <otaylor@redhat.com>
- Add version of logo for embossing on the desktop

* Tue May 16 2000 Preston Brown <pbrown@redhat.com>
- add black and white version of our logo (for screensaver).

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- rebuild for new description.

* Fri Sep 25 1999 Bill Nottingham <notting@redhat.com>
- different.

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- added transparent mini and 32x32 round icons

* Sat Apr 10 1999 Michael Fulbright <drmike@redhat.com>
- added rhad logos

* Thu Apr 08 1999 Bill Nottingham <notting@redhat.com>
- added smaller redhat logo for use on web page

* Wed Apr 07 1999 Preston Brown <pbrown@redhat.com>
- added transparent large redhat logo

* Tue Apr 06 1999 Bill Nottingham <notting@redhat.com>
- added mini-* links to make AnotherLevel happy

* Mon Apr 05 1999 Preston Brown <pbrown@redhat.com>
- added copyright

* Tue Mar 30 1999 Michael Fulbright <drmike@redhat.com>
- added 48 pixel rounded logo image for gmc use

* Mon Mar 29 1999 Preston Brown <pbrown@redhat.com>
- package created
